/*!
 * KeyReflector v0.0.1
 * https://github.com/Amabel/key-reflector
 *
 * Copyright 2019-present Amabel
 * Released under the MIT license
 *
 * Date: 2019-10-04T08:08:57.245Z
 */

const defaultOptions = {
  valuePrefix: '',
};

const isPlainObject = value => {
  return (
    typeof value === 'object' &&
    value !== null &&
    value.constructor === Object &&
    Object.prototype.toString.call(value) === '[object Object]'
  )
};

class KeyReflector {
  static reflectKeys(keys = [], inputOptions = {}) {
    let options = defaultOptions;

    if (isPlainObject(inputOptions)) {
      options = { ...options, ...inputOptions };
    }

    const obj = {};
    const prefix = options.valuePrefix;

    keys.forEach(key => {
      obj[key] = `${prefix}${key}`;
    });

    return obj
  }
}

export default KeyReflector;
